Create an APM agent key
- Base URL
-
https://{kibana_url}
-
POST
/api/apm/agent_keys
-
POST
/s/{space_id}/api/apm/agent_keys
Auth
Create a new agent key for APM.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
The version of the API to use
-
Values:
2023-10-31
-
A required header to protect against CSRF attacks
-
name
string
required
-
Agent name
-
privileges
enum[]
required
-
Privileges configuration
-
Values:
event:write
config_agent:read
Agent key created successfully
application/json
-
agentKey
object
-
Agent key
-
-
expiration
integer · format: int64
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
Internal Server Error response
application/json
-
message
string
-
Error message
-
statusCode
number
-
Error status code
Thank you for your feedback.